curl https://api.magpipe.ai/functions/v1/manage-call-whitelist?agent_id=3f2504e0-4f89-11d3-9a0c-0305e82c3301 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist?agent_id=3f2504e0-4f89-11d3-9a0c-0305e82c3301',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' },
}
);
const { entries } = await response.json();
import requests
response = requests.get(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist',
params={'agent_id': '3f2504e0-4f89-11d3-9a0c-0305e82c3301'},
headers={'Authorization': 'Bearer YOUR_API_KEY'},
)
entries = response.json()['entries']
{
"entries": [
{
"id": "a1b2c3d4-0000-0000-0000-000000000001",
"caller_number": "+16045551234",
"forward_to": "+16045559876",
"label": "Kyler's son",
"created_at": "2026-03-15T08:00:00Z"
}
]
}
{
"error": {
"code": "missing_param",
"message": "agent_id is required"
}
}
Call Whitelist
List Whitelist Entries
List all call whitelist entries for an agent
GET
/
manage-call-whitelist
curl https://api.magpipe.ai/functions/v1/manage-call-whitelist?agent_id=3f2504e0-4f89-11d3-9a0c-0305e82c3301 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist?agent_id=3f2504e0-4f89-11d3-9a0c-0305e82c3301',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' },
}
);
const { entries } = await response.json();
import requests
response = requests.get(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist',
params={'agent_id': '3f2504e0-4f89-11d3-9a0c-0305e82c3301'},
headers={'Authorization': 'Bearer YOUR_API_KEY'},
)
entries = response.json()['entries']
{
"entries": [
{
"id": "a1b2c3d4-0000-0000-0000-000000000001",
"caller_number": "+16045551234",
"forward_to": "+16045559876",
"label": "Kyler's son",
"created_at": "2026-03-15T08:00:00Z"
}
]
}
{
"error": {
"code": "missing_param",
"message": "agent_id is required"
}
}
Returns all whitelist entries configured for a specific agent. Entries are returned in creation order.
Query Parameters
string
required
The UUID of the agent whose whitelist entries to retrieve.Example:
3f2504e0-4f89-11d3-9a0c-0305e82c3301Response
array
Array of whitelist entry objects.
curl https://api.magpipe.ai/functions/v1/manage-call-whitelist?agent_id=3f2504e0-4f89-11d3-9a0c-0305e82c3301 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist?agent_id=3f2504e0-4f89-11d3-9a0c-0305e82c3301',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' },
}
);
const { entries } = await response.json();
import requests
response = requests.get(
'https://api.magpipe.ai/functions/v1/manage-call-whitelist',
params={'agent_id': '3f2504e0-4f89-11d3-9a0c-0305e82c3301'},
headers={'Authorization': 'Bearer YOUR_API_KEY'},
)
entries = response.json()['entries']
{
"entries": [
{
"id": "a1b2c3d4-0000-0000-0000-000000000001",
"caller_number": "+16045551234",
"forward_to": "+16045559876",
"label": "Kyler's son",
"created_at": "2026-03-15T08:00:00Z"
}
]
}
{
"error": {
"code": "missing_param",
"message": "agent_id is required"
}
}
⌘I